Subject: bug#78545: 31.0.50; project-mode-line is slow because it tries to read files on each update

From: Eli Zaretskii <[email-masked]>
Date: Thu, 22 May 2025 22:28:07 +0300

> Cc: [email-masked], [email-masked]
> Date: Thu, 22 May 2025 13:21:18 -0400
> From: Daniel Colascione <[email-masked]>
> 
> I've been meaning to write a slow hook detector for a few weeks now. Feel free to beat me to it. I figure we can start by just calling each entry in the major hooks with a new run hooks (with args) variant that records times of each and reports anything over a threshold as a warning.

I think that would be a very useful feature.  But it won't find this
particular problem, because project.el doesn't use a hook to update
the mode line in this case.